TELA(1)

NAME
tela - TEnsor LAnguage

SYNOPSIS
tela    [ -v | --verbose ] [ -b | --batch ]
    [ -f | --fast ] [ -s | --silent ]
    [ -p | --profile ] [ -O[level] ]
    [ -e tela-code | --execute tela-code ] [ files ]

tela -V | --version

tela -? | -h | --help

DESCRIPTION
Start tela; first execute tela-code, then each of files in turn (if any), finally enter interactive mode.

Tela is a numerical computing environment mainly targeted for numerical simulation pre- and post-processing work. The language supports arbitrary rank arrays (hence the name, TEnsor LAnguage), and has powerful programming capabilities including F90 style vector notation. Two- and three- dimensional graphics is implemented by calling PlotMTV. For 2D graphics, the SPPC interface is also available.

The on-line help is intended as the primary source of documentation. The command help topic gives help on topic, where topic can be individual reserved words, function names, etc.

OPTIONS
tela accepts the following options:

-b, --batch
    Quit after executing tela-code, or files.

-e, --execute tela-code
    Execute Tela expressions tela-code.

-f, --fast
    Do not source any initialization files; see the section on INITIALIZATION.

-O[level]
    Select optimization level. -O0, the default, means no optimization. -O, and -O1 enable flat-code optimization.

-h, -?, --help
    Print help message and exit.

-s, --silent
    Suppress startup message, MIPS count, and FLOPS count.

-p, --profile
    Collect per-function profiling data (total time, time per call, MFLOPS) and output it at the end of the run.

-v, --verbose
    Set verbose execution mode: list tree-codes and flat-codes.

-V, --version
    Print version number and exit.

INITIALIZATION
Unless suppressed with the -f or --fast options tela tries to source the file telainit.t (or just telainit if that exists). The sourced files are searched in a directory path, which is obtained as follows:

1.  A compiled-in default, typically "/usr/local/lib/tela/t:/usr/local/lib/tela/ct:/usr/local/lib/tela:."

2.  If set, the environment variable TELAPATH_SYSTEM overrides the compiled-in default, or appends to it if it starts with a colon.

3.  Similarly, if set, the environment variable TELAPATH overrides the previous, or appends to them if it starts with a colon.

The combined effect of the compiled-in default, TELAPATH_SYSTEM, and TELAPATH can be seen by giving the command telapath() in Tela.

The standard telainit.t tries to source $HOME/.telainit.t.

ENVIRONMENT
Besides TELAPATH and TELAPATH_SYSTEM, tela recognizes the following environment variables: TELA_PLOTMTV specifies the PlotMTV program to use (default: plotmtv). The function whos() displays variables and uses the PAGER (default: more) and TELA_SORTER (default: sort -b -f -k 1) environment variables.

SEE ALSO

    telakka     Tela extension utility
    ctpp        Tela preprocessor
    plotmtv     Standard associated graphics package
    sppc        Alternative graphics package
    m2t         Matlab to Tela translator

HISTORY
Tela by Pekka Janhunen; man page by Ch. L. Spiel, 2000-3-9.